interface IA{
	public void print();
}

enum E implements IA {
	a,b,c;
	public void print(){//实现接口方法
		System.out.println(name());//获取当前枚举值的名字
	}

	public static void main(String[] args){	
		for(E e: E.values()){
			e.print();
		}
	}
}
